edu.ucsb.nceas.metacat.workflow

## Class WorkflowSchedulerClient

- java.lang.Object
- - edu.ucsb.nceas.metacat.workflow.WorkflowSchedulerClient

-     public class WorkflowSchedulerClient
      extends java.lang.Object

  Author:
    daigle

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deleteJob(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.util.Hashtable<java.lang.String,java.lang.String[]> params, java.lang.String username, java.lang.String[] groups)` delete job - to be implemented
    `static WorkflowSchedulerClient` | `getInstance()` Get the single instance of SchedulerService.
    `void` | `getJobs(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.util.Hashtable<java.lang.String,java.lang.String[]> params, java.lang.String username, java.lang.String[] groups)` get job information for a given workflow in xml format
    `void` | `reScheduleJob(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.util.Hashtable<java.lang.String,java.lang.String[]> params, java.lang.String username, java.lang.String[] groups)` reschedule job
    `void` | `scheduleJob(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.util.Hashtable<java.lang.String,java.lang.String[]> params, java.lang.String username, java.lang.String[] groups)` Scheduling a workflow
    `void` | `unScheduleJob(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.util.Hashtable<java.lang.String,java.lang.String[]> params, java.lang.String username, java.lang.String[] groups)` Unschedule a job

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static WorkflowSchedulerClient getInstance()

      Get the single instance of SchedulerService.
      Returns:
        the single instance of SchedulerService

    - #### scheduleJob

          public void scheduleJob(javax.servlet.http.HttpServletRequest request,
                                  javax.servlet.http.HttpServletResponse response,
                                  java.util.Hashtable<java.lang.String,java.lang.String[]> params,
                                  java.lang.String username,
                                  java.lang.String[] groups)
                           throws MetacatSchedulerException

      Scheduling a workflow
      Parameters:
        `request` - the servlet request object
        `response` - the servlet response object
        `params` - the request parameters
        `username` - the user
        `groups` - the user's group
      Throws:
        `MetacatSchedulerException`

    - #### unScheduleJob

          public void unScheduleJob(javax.servlet.http.HttpServletRequest request,
                                    javax.servlet.http.HttpServletResponse response,
                                    java.util.Hashtable<java.lang.String,java.lang.String[]> params,
                                    java.lang.String username,
                                    java.lang.String[] groups)
                             throws MetacatSchedulerException

      Unschedule a job
      Parameters:
        `request` - the servlet request object
        `response` - the servlet response object
        `params` - the request parameters
        `username` - the user
        `groups` - the user's group
      Throws:
        `MetacatSchedulerException`

    - #### reScheduleJob

          public void reScheduleJob(javax.servlet.http.HttpServletRequest request,
                                    javax.servlet.http.HttpServletResponse response,
                                    java.util.Hashtable<java.lang.String,java.lang.String[]> params,
                                    java.lang.String username,
                                    java.lang.String[] groups)
                             throws MetacatSchedulerException

      reschedule job
      Parameters:
        `request` - the servlet request object
        `response` - the servlet response object
        `params` - the request parameters
        `username` - the user
        `groups` - the user's group
      Throws:
        `MetacatSchedulerException`

    - #### deleteJob

          public void deleteJob(javax.servlet.http.HttpServletRequest request,
                                javax.servlet.http.HttpServletResponse response,
                                java.util.Hashtable<java.lang.String,java.lang.String[]> params,
                                java.lang.String username,
                                java.lang.String[] groups)
                         throws MetacatSchedulerException

      delete job - to be implemented
      Throws:
        `MetacatSchedulerException`

    - #### getJobs

          public void getJobs(javax.servlet.http.HttpServletRequest request,
                              javax.servlet.http.HttpServletResponse response,
                              java.util.Hashtable<java.lang.String,java.lang.String[]> params,
                              java.lang.String username,
                              java.lang.String[] groups)
                       throws MetacatSchedulerException

      get job information for a given workflow in xml format
      Parameters:
        `request` - the servlet request object
        `response` - the servlet response object
        `params` - the request parameters
        `username` - the user
        `groups` - the user's group
      Throws:
        `MetacatSchedulerException`

Copyright © 2020 Regents of the University of California. All Rights Reserved.